{% extends 'base.html.twig' %}

{% block title %}Hello HomeController!{% endblock %}

{% block body %}
    {% if app.user and app.user.currentOrder %}
        {% if app.user.currentOrder.orderItems | length > 0 %}
            <h2>Ma prochaine commande</h2>
            <ul class="OrderList">
                {% for orderItem in app.user.currentOrder.orderItems %}
                    <li class="OrderList__product">
                        <div>
                            <img class="OrderList__product__picture" src="/uploads/{{ orderItem.product.picture }}" alt="">
                            <div class="OrderList__product__informations">
                                <p class="OrderList__product__name">{{ orderItem.product.name }}</p>
                                <p class="OrderList__product__quantity">Quantité : {{ orderItem.quantity }}</p>
                                <p class="OrderList__product__price">Prix : {{ orderItem.product.price * orderItem.quantity }}€ <span>({{ orderItem.quantity }} x {{ orderItem.product.price }}€)</span></p>
                            </div>
                        </div>
                        <a href="{{ path('app_order_remove_product', {'id': orderItem.id}) }}" onclick="return confirm('Êtes-vous sûr de vouloir supprimer la commande ?')">Supprimer de la commande</a>
                    </li>
                {% endfor %}
                <li>
                    {% if app.user.currentOrder.invoices %}
                        {% for invoice in app.user.currentOrder.invoices %}
                            <p>Facture : <a href="/uploads/{{ invoice.filename }}" target="_blank">{{ invoice.filename }}</a></p>
                        {% endfor %}
                    {% endif %}
                </li>
            </ul>
        {% endif %}
    {% endif %}

    
    {% if app.user and app.user.previousOrders %}
        {% if app.user.previousOrders | length > 0 %}
            <h2>Mes dernières commandes</h2>
            {% for order in app.user.previousOrders %}
                <ul class="OrderList">
                    {% for orderItem in order.orderItems %}
                        <li class="OrderList__product">
                            <div>
                                <img class="OrderList__product__picture" src="/uploads/{{ orderItem.product.picture }}" alt="">
                                <div class="OrderList__product__informations">
                                    <p class="OrderList__product__name">{{ orderItem.product.name }}</p>
                                    <p class="OrderList__product__quantity">Quantité : {{ orderItem.quantity }}</p>
                                    <p class="OrderList__product__price">Prix : {{ orderItem.product.price * orderItem.quantity }}€ <span>({{ orderItem.quantity }} x {{ orderItem.product.price }}€)</span></p>
                                </div>
                            </div>
                            <a href="{{ path('app_order_remove_product', {'id': orderItem.id}) }}" onclick="return confirm('Êtes-vous sûr de vouloir supprimer la commande ?')">Supprimer de la commande</a>
                        </li>
                    {% endfor %}
                    <li>
                        {% if order.invoices %}
                            {% for invoice in order.invoices %}
                                <p>Facture : <a href="/uploads/{{ invoice.filename }}" target="_blank">{{ invoice.filename }}</a></p>
                            {% endfor %}
                        {% endif %}
                    </li>
                </ul>
            {% endfor %}
        {% endif %}
    {% endif %}
{% endblock %}





